# $Revision: 1.3 $, $Date: 2010/08/11 20:39:59 $
%define 	module	offtrac
Summary:	Trac xmlrpc library
Name:		python-%{module}
Version:	0.0.3
Release:	3
License:	GPL v2+
Group:		Development/Languages
URL:		http://fedorahosted.org/offtrac
# No tarballs are made, generate them from scm
# git clone git://git.fedorahosted.org/git/offtrac
# cd offtrac
# git checkout -b tarball %{version}
# python setup.py sdist --formats=bztar
Source0:	%{module}-%{version}.tar.bz2
# Source0-md5:	3e4cdcbf50ba492b93748d2e08cbbc9c
BuildRequires:	python-devel
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
There is the offtrac Python library which offers the TracServer class.
This object is how one interacts with a Trac instance via xmlrpc.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-offtrac.spec,v $
Revision 1.3  2010/08/11 20:39:59  zbyniu
- missing dir, rel 3

Revision 1.2  2010/08/10 20:57:09  glen
- fix macros

Revision 1.1  2010/08/10 19:01:25  glen
- new, based on fc src.rpm
